Edit Agent Details (Token Authentication)

Updates the details of an existing agent, such as name, skills, groups, and other attributes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to update/edit the details of an existing agent in your CloudAgent account.

To use this API with the help of a token, follow these steps:

  1. Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
  2. Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
  3. With the token entered, pass the below header and body parameters:
❗️

Rate Limit:

This API permits up to 5 requests per minute.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Possible Responses

Missing apiKey key / Missing apiKey Value"{""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."",
""data"": null}"
Passing Invalid apiKey Value{"status": "false","message": "Invalid User Details","data": null}
Passing Invalid userName Value / Missing userName key / Missing userName Value{"status": "false","message": "Invalid User Details","data": null}
Passing Invalid agentId Value / Missing agentId key / Missing agentId Value /"{
""status"": ""error"",
""message"": ""Agent not found""
}"
Passing Invalid agentName Value"{""Status"": ""Fail"",""Message"": {
""agentName"": ""The agent name must not be empty and it should be between 2 and 50 alphanumeric characters and allow special characters such as., @, _, -""}}"
Missing agentName Value"{""status"": ""error"",
""message"": ""Agent Name is required""}"
Passing Invalid password Value{"message": "Password length must be between 3 and 50 characters","status": "error"}
Missing password Value"{""message"": ""Password is required"",
""status"": ""error""}"
Passing Invalid email Value"{""message"": ""Invalid email format"",
""status"": ""error""}"
Missing email key{"message": "Email should not be null or empty","status": "error"}
Missing email Value{"message": "Email should not be null or empty","status": "error"}
Verify rate limit of updation API."{""status"": ""error"",
""message"": ""Max limit exceeded""}"
Query Params
boolean

Set this parameter to true to receive a detailed success response. Any other value will be ignored by the API.

Body Params
string
required

The username of the account.

string
required

The current agent ID.

string

The updated agent ID.

string

The current name of the agent.

string

The updated name of the agent.

string

The updated email of the agent.

string

The updated password for the agent.

string

The auto-answer mode for the agent.

boolean

Enable inbound calls

boolean

Enable manual dialing

boolean

Enable preview dialing

boolean

Enable progressive dialing

boolean

Enable chat channel

boolean

Enable blended mode

boolean

Enable inbound calls in blended mode

boolean

Enable manual dialing in blended mode

boolean

Enable preview mode in blended setup

boolean

Enable progressive dialing in blended setup

boolean

Enable chat in blended mode

callControls
object
string

Additional agent metadata

string

SIP registration location for the agent

boolean

Enable screen recording for the agent

assignSkills
array of objects
assignSkills
unAssignSkills
array of objects
unAssignSkills
string

Comma-separated list of agent groups to assign

string

Comma-separated list of agent groups to unassign

boolean

Lock the agent (true/false)

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json